/**
 * {一些常量}
 * @author yutent<yutent.io@gmail.com>
 * @date 2024/03/06 16:25:01
 */

export const doc = document
export const win = window
export const xlink = 'http://www.w3.org/1999/xlink'
export const xmlns = 'http://www.w3.org/2000/svg'
export const xhtmlns = 'http://www.w3.org/1999/xhtml'

export const HTML_TAGS = { div: 1, span: 1, p: 1 }
export const SPEC_ATTR = {
  viewBox: 1,
  preserveAspectRatio: 1,
  patternUnits: 1,
  patternTransform: 1,
  patternContentUnits: 1
}

const ALL_SVG_TAGS =
  'a,circle,clipPath,defs,ellipse,feBlend,feColorMatrix,feComponentTransfer,feComposite,feConvolveMatrix,feDiffuseLighting,feDisplacementMap,feDistantLight,feDropShadow,feFlood,feFuncA,feFuncB,feFuncG,feFuncR,feGaussianBlur,feImage,feMerge,feMergeNode,feMorphology,feOffset,fePointLight,feSpecularLighting,feSpotLight,feTile,feTurbulence,filter,foreignObject,g,image,line,linearGradient,marker,mask,metadata,mpath,path,pattern,polygon,polyline,radialGradient,rect,script,set,stop,style,svg,switch,symbol,text,textPath,title,tspan,use,view'

const ORPHAN_TAGS_STR = ''

export const ORPHAN_TAGS = {
  text: 1,
  image: 1,
  line: 1,
  circle: 1,
  ellipse: 1
}
