/**
 * 孤儿元素(无子节点)
 * @author yutent<yutent.io@gmail.com>
 * @date 2024/03/29 14:36:23
 */

import { Base } from './base-elem.js'
import { uuid, h, preload } from './utils.js'

export class Orphan extends Base {
  id = null

  constructor(el) {
    super(el)
    this.id = uuid(this.type)
  }

  animate() {
    //
    return this
  }

  animateMotion() {
    //
    return this
  }

  animateTransform() {
    //
    return this
  }
}
